{
  "id": "b859d57fe3d630fbffa1fc40",
  "source": "http",
  "type": "go-type",
  "title": "http.type ServeMux ¶",
  "content": "# type http.type ServeMux ¶\n\n```\ntype ServeMux struct {\n\t// contains filtered or unexported fields\n}\n```\n\nServeMux is an HTTP request multiplexer.\nIt matches the URL of each incoming request against a list of registered\npatterns and calls the handler for the pattern that\nmost closely matches the URL.",
  "url": "https://pkg.go.dev/http#type ServeMux ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/net/http",
    "kind": "type",
    "method_count": 0,
    "package": "http",
    "symbol": "type ServeMux ¶",
    "type_kind": "alias",
    "underlying": "type ServeMux struct {\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "4b534032974377baeec93fe79e97e8a6035764602c7d35d5eed77a666da298d9",
  "timestamp": "2026-02-19T12:17:17.23772822+01:00"
}